%define anolis_release 2

Name:           gupnp-igd
Version:        1.2.0
Release:        %{anolis_release}%{?dist}
Summary:        Library to handle UPnP IGD port mapping

License:        LGPLv2+
URL:            https://wiki.gnome.org/Projects/GUPnP
Source0:        https://download.gnome.org/sources/%{name}/1.2/%{name}-%{version}.tar.xz

BuildRequires:  glib2-devel
BuildRequires:  gobject-introspection-devel
BuildRequires:  gtk-doc
BuildRequires:  gupnp-devel
BuildRequires:  meson

Provides: %{name}-python = %{version}-%{release}
Provides: %{name}-python = %{version}-%{release}
Obsoletes: %{name}-python < %{version}-%{release}
Obsoletes: %{name}-python2 < %{version}-%{release}

%description
%{name} is a library to handle UPnP IGD port mapping.


%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1


%build
%meson -Dgtk_doc=true
%meson_build


%install
%meson_install

%generate_compatibility_deps

%files
%license COPYING
%{_libdir}/libgupnp-igd-1.0.so.4*
%dir %{_libdir}/girepository-1.0
%{_libdir}/girepository-1.0/GUPnPIgd-1.0.typelib
%dir %{abidir}
%{abidir}/libgupnp-igd-1.0.dump

%files devel
%{_includedir}/*
%{_libdir}/libgupnp-igd-1.0.so
%{_libdir}/pkgconfig/%{name}-1.0*.pc
%dir %{_datadir}/gtk-doc
%dir %{_datadir}/gtk-doc/html
%{_datadir}/gtk-doc/html/%{name}/
%dir %{_datadir}/gir-1.0
%{_datadir}/gir-1.0/GUPnPIgd-1.0.gir

%files doc
%doc README

%changelog
* Tue Mar 07 2023 happy_orange <songnannan@linux.alibaba.com> - 1.2.0-2
- add doc package

* Tue Apr 12 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 1.2.0-1
- init from upstream
